#91296 Report by node travis-ci covering 1709 tests from 45 modules resulted into 12 errors

Report

ObsPy Version
1.1.0.post0+30.g9ffa79c56a
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/326766896
GitHub Pull Request
https://github.com/obspy/obspy/pull/2038
Report File
XML Document
Total Runtime
700.8 sec
Report Date/Time
2018-01-09 06:05:53

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.6.4
Release
16.7.0
System
Darwin
Version
Darwin Kernel Version 16.7.0: Thu Jun 15 17:36:27 PDT 2017; root:xnu-3789.70.16~2/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.1.2
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
4.1.1
m2crypto
---
matplotlib
2.0.2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.13.3
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.18.4
scipy
1.0.0
setuptools
36.5.0.post20170921
shapefile
1.2.12
sqlalchemy
1.1.13

Modules (45)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek 12 1 2 3 4 5 6 7 8 9 10 11 12
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 12 12

Tracebacks (12)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 317, in test_drop_not_implemented_packets
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 214, in test_integration_with_obspy_core
component_codes=["1", "2", "3"])
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 412, in _read_from_plugin
list_obj = read_format(filename, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 349, in test_missing_event_trailer_packet
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 282, in test_read_file_perturbed_packet_sequence
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 181, in test_read_reftek130_no_component_codes_specified
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 139, in test_read_reftek130_steim1
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 152, in test_read_reftek130_steim2
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 214, in read
stream = _read(pathname_or_url, format, headonly, **kwargs)
File "<decorator-gen-32>", line 2, in _read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 151, in uncompress_file
return func(filename, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 412, in _read_from_plugin
list_obj = read_format(filename, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 104, in _read_reftek130
rt130 = Reftek130.from_file(filename)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 148, in from_file
with io.open(filename, "rb") as fh:
TypeError: expected str, bytes or os.PathLike object, not _io.BytesIO
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 549, in test_reading_file_with_multiple_events
sort_permuted_package_sequence=True)
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 222, in read
st.extend(_read(fh.name, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 412, in _read_from_plugin
list_obj = read_format(filename, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 528, in test_reading_packet_with_vpu_float_string
sort_permuted_package_sequence=True)
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 412, in _read_from_plugin
list_obj = read_format(filename, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 375, in test_truncated_last_packet
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/tests/test_core.py", line 247, in test_warning_disturbed_packet_sequence
sort_permuted_package_sequence=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.io.reftek.__init__
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/__init__.py", line 53, in obspy.io.reftek.__init__
Failed example:
st = read("/path/to/225051000_00008656", network="BW", location="",
component_codes="ZNE")
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.reftek.__init__[4]>", line 2, in <module>
component_codes="ZNE")
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 412, in _read_from_plugin
list_obj = read_format(filename, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 109, in _read_reftek130
sort_permuted_package_sequence=sort_permuted_package_sequence)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/core.py", line 316, in to_stream
tr.stats.starttime = UTCDateTime(ns=starttime)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 222, in __init__
self._ns = ns
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/utcdatetime.py", line 387, in _set_ns
raise TypeError('nanoseconds must be set as int/long type')
TypeError: nanoseconds must be set as int/long type
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/__init__.py", line 55, in obspy.io.reftek.__init__
Failed example:
st # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.reftek.__init__[5]>", line 1, in <module>
st # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/__init__.py", line 57, in obspy.io.reftek.__init__
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.reftek.__init__[6]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/io/reftek/__init__.py", line 71, in obspy.io.reftek.__init__
Failed example:
print(st[0].stats) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.reftek.__init__[7]>", line 1, in <module>
print(st[0].stats) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
NameError: name 'st' is not defined

Skipped Tests (13)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
34.804s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
32.157s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
22.855s __init__ (obspy.taup)
22.143s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
13.561s test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
12.896s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
12.856s test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
12.526s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
12.437s test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase)
12.403s test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase)
11.210s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
10.478s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
9.825s test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase)
8.741s plot_travel_times (obspy.taup.tau)
8.347s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
7.670s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.311s test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase)
7.238s test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase)
7.207s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.058s test_plot_tf_gofs (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)

Chuck Norris Fact

Chuck Norris doesn't use Oracle, he is the Oracle.